let getMenu = () => {
    return JSON.parse(Cookies.get('menu'));
}
let setMenu = () => {
    let menu = document.getElementById("MENU");
    let contenido = getMenu();
    console.log(contenido)
    let titulo = contenido.titulo;
    let modulo = titulo.modulo;
    let html = '<li class="navigation-header"><span><i class="icon-menu" title="Main pages"></i>' + titulo['nombre'] + '</span></li>';
    for (let i in modulo){
        let categoria = modulo[i]['categoria'];
        html+='<li>'
            + '<a href="'+modulo[i]['url']+'">'
            + '<i class="fa '+modulo[i]['ico']+' fa-lg"></i>'
            + '<span>'+modulo[i]['nombre']+'</span>'
            + '</a>';
            for(let j in categoria){
                let subCategoria = modulo[i]['subCategoria'];
                console.log(window.location);
                html+= '<ul>'
                    + '<li>';
                if(subCategoria===undefined){
                    html+= '<a href="../vistas/'+categoria[j]['url']+'">';
                }else{
                    html+= '<a href="'+window.location+categoria[j]['url']+'">';
                }
                html+= '<span>'+categoria[j]['nombre']+'</span>'
                    + '</a>';
                if(subCategoria!==undefined){
                    for(let k in subCategoria){
                        html+='<ul class="hidden-ul" style="display: block;">';
                            +'<li><a href="'+subCategoria[k]['url']+'">'+subCategoria[k]['nombre']+'</a></li>'
                            +'</ul>';    
                    }
                }
                html+= '</li>'
                    + '</ul>';
            }
            html+='</li>';
    }
    menu.innerHTML=html;
}

setMenu();
